# emdapiwindindexadvanced.WindIndexApi

All URIs are relative to *http://api.emd.dk*

Method | HTTP request | Description
------------- | ------------- | -------------
[**windindex_advanced_controller_get_details**](WindIndexApi.md#windindex_advanced_controller_get_details) | **GET** /details/{turbine_id} | Returns details if a turbine
[**windindex_advanced_controller_get_list**](WindIndexApi.md#windindex_advanced_controller_get_list) | **GET** / | Return list of wind turbines with the advanced wind-index
[**windindex_advanced_controller_get_modeldata**](WindIndexApi.md#windindex_advanced_controller_get_modeldata) | **GET** /model_data/{turbine_id} | Return comma seperated csv file with model used for prediction (site and hub_height adjusted), the returned data is in turbine time zone
[**windindex_advanced_controller_get_windindex**](WindIndexApi.md#windindex_advanced_controller_get_windindex) | **GET** /wind_index/{turbine_id}/{year}/{month}/ | Return json with wind index information for the given turbine, year, month
[**windindex_advanced_controller_get_windindices**](WindIndexApi.md#windindex_advanced_controller_get_windindices) | **GET** /wind_indices/{turbine_id} | Return comma seperated csv file with different wind indices


# **windindex_advanced_controller_get_details**
> inline_response2002.InlineResponse2002 windindex_advanced_controller_get_details(turbine_id)

Returns details if a turbine

### Example

* Api Key Authentication (api_key):
```python
from __future__ import print_function
import time
import emdapiwindindexadvanced
from pprint import pprint
# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'

# Enter a context with an instance of the API client
with emdapiwindindexadvanced.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiwindindexadvanced.WindIndexApi(api_client)
    turbine_id = 'turbine_id_example' # str | Turbine_id of request
    
    # example passing only required values which don't have defaults set
    try:
        # Returns details if a turbine
        api_response = api_instance.windindex_advanced_controller_get_details(turbine_id)
        pprint(api_response)
    except emdapiwindindexadvanced.ApiException as e:
        print("Exception when calling WindIndexApi->windindex_advanced_controller_get_details: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **turbine_id** | **str**| Turbine_id of request |

### Return type

[**inline_response2002.InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | Successful operation - turbine details returned |  -  |
**400** | No data found |  -  |
**401** | License or token is expired. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **windindex_advanced_controller_get_list**
> [inline_response200.InlineResponse200] windindex_advanced_controller_get_list()

Return list of wind turbines with the advanced wind-index

### Example

* Api Key Authentication (api_key):
```python
from __future__ import print_function
import time
import emdapiwindindexadvanced
from pprint import pprint
# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'

# Enter a context with an instance of the API client
with emdapiwindindexadvanced.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiwindindexadvanced.WindIndexApi(api_client)
    
    # example, this endpoint has no required or optional parameters
    try:
        # Return list of wind turbines with the advanced wind-index
        api_response = api_instance.windindex_advanced_controller_get_list()
        pprint(api_response)
    except emdapiwindindexadvanced.ApiException as e:
        print("Exception when calling WindIndexApi->windindex_advanced_controller_get_list: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**[inline_response200.InlineResponse200]**](InlineResponse200.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | Successful operation - list of turbines returned |  -  |
**400** | No data found |  -  |
**401** | License or token is expired. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **windindex_advanced_controller_get_modeldata**
> str windindex_advanced_controller_get_modeldata(turbine_id)

Return comma seperated csv file with model used for prediction (site and hub_height adjusted), the returned data is in turbine time zone

### Example

* Api Key Authentication (api_key):
```python
from __future__ import print_function
import time
import emdapiwindindexadvanced
from pprint import pprint
# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'

# Enter a context with an instance of the API client
with emdapiwindindexadvanced.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiwindindexadvanced.WindIndexApi(api_client)
    turbine_id = 'turbine_id_example' # str | Turbine_id of request
    start_date = dateutil_parser('0001-12-31').date() # date | First date - load data starting at this date, if not provided first available date (optional) if omitted the server will use the default value of dateutil_parser('0001-12-31').date()
end_date = dateutil_parser('9999-11-30').date() # date | End date - load data before this date (optional) if omitted the server will use the default value of dateutil_parser('9999-11-30').date()

    # example passing only required values which don't have defaults set
    try:
        # Return comma seperated csv file with model used for prediction (site and hub_height adjusted), the returned data is in turbine time zone
        api_response = api_instance.windindex_advanced_controller_get_modeldata(turbine_id)
        pprint(api_response)
    except emdapiwindindexadvanced.ApiException as e:
        print("Exception when calling WindIndexApi->windindex_advanced_controller_get_modeldata: %s\n" % e)

    # example passing only required values which don't have defaults set
    # and optional values
    try:
        # Return comma seperated csv file with model used for prediction (site and hub_height adjusted), the returned data is in turbine time zone
        api_response = api_instance.windindex_advanced_controller_get_modeldata(turbine_id, start_date=start_date, end_date=end_date)
        pprint(api_response)
    except emdapiwindindexadvanced.ApiException as e:
        print("Exception when calling WindIndexApi->windindex_advanced_controller_get_modeldata: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **turbine_id** | **str**| Turbine_id of request |
 **start_date** | **date**| First date - load data starting at this date, if not provided first available date | [optional] if omitted the server will use the default value of dateutil_parser('0001-12-31').date()
 **end_date** | **date**| End date - load data before this date | [optional] if omitted the server will use the default value of dateutil_parser('9999-11-30').date()

### Return type

**str**

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: text/csv

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | Successful operation - csv file with model data is returned |  -  |
**400** | No data found |  -  |
**401** | License or token is expired. |  -  |
**404** | No access to turbine |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **windindex_advanced_controller_get_windindex**
> inline_response2001.InlineResponse2001 windindex_advanced_controller_get_windindex(turbine_id, year, month)

Return json with wind index information for the given turbine, year, month

### Example

* Api Key Authentication (api_key):
```python
from __future__ import print_function
import time
import emdapiwindindexadvanced
from pprint import pprint
# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'

# Enter a context with an instance of the API client
with emdapiwindindexadvanced.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiwindindexadvanced.WindIndexApi(api_client)
    turbine_id = 'turbine_id_example' # str | Turbine_id of request
    year = 56 # int | Year of month
    month = 56 # int | Month to get wind index information for
    
    # example passing only required values which don't have defaults set
    try:
        # Return json with wind index information for the given turbine, year, month
        api_response = api_instance.windindex_advanced_controller_get_windindex(turbine_id, year, month)
        pprint(api_response)
    except emdapiwindindexadvanced.ApiException as e:
        print("Exception when calling WindIndexApi->windindex_advanced_controller_get_windindex: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **turbine_id** | **str**| Turbine_id of request |
 **year** | **int**| Year of month |
 **month** | **int**| Month to get wind index information for |

### Return type

[**inline_response2001.InlineResponse2001**](InlineResponse2001.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | Successful operation - list of turbines returned |  -  |
**400** | No data found |  -  |
**401** | License or token is expired. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **windindex_advanced_controller_get_windindices**
> str windindex_advanced_controller_get_windindices(turbine_id)

Return comma seperated csv file with different wind indices

### Example

* Api Key Authentication (api_key):
```python
from __future__ import print_function
import time
import emdapiwindindexadvanced
from pprint import pprint
# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiwindindexadvanced.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'

# Enter a context with an instance of the API client
with emdapiwindindexadvanced.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiwindindexadvanced.WindIndexApi(api_client)
    turbine_id = 'turbine_id_example' # str | Turbine_id of request
    
    # example passing only required values which don't have defaults set
    try:
        # Return comma seperated csv file with different wind indices
        api_response = api_instance.windindex_advanced_controller_get_windindices(turbine_id)
        pprint(api_response)
    except emdapiwindindexadvanced.ApiException as e:
        print("Exception when calling WindIndexApi->windindex_advanced_controller_get_windindices: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **turbine_id** | **str**| Turbine_id of request |

### Return type

**str**

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: text/csv

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | Successful operation - list of turbines returned |  -  |
**400** | No data found |  -  |
**401** | License or token is expired. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

